diff --git a/sys/contrib/dev/acpica/source/tools/acpibin/abcompare.c b/sys/contrib/dev/acpica/source/tools/acpibin/abcompare.c
index 6bf5f96..d843400 100644
--- a/sys/contrib/dev/acpica/source/tools/acpibin/abcompare.c
+++ b/sys/contrib/dev/acpica/source/tools/acpibin/abcompare.c
@@ -42,10 +42,9 @@
  */
 
 #include "acpibin.h"
+#include "acapps.h"
 
 
-FILE                        *File1;
-FILE                        *File2;
 ACPI_TABLE_HEADER           Header1;
 ACPI_TABLE_HEADER           Header2;
 
@@ -69,10 +68,6 @@ AbGetFile (
     char                    *Filename,
     UINT32                  *FileSize);
 
-static UINT32
-AbGetFileSize (
-    FILE                    *File);
-
 static void
 AbPrintHeaderInfo (
     ACPI_TABLE_HEADER       *Header);
@@ -87,68 +82,6 @@ AeLocalGetRootPointer (
     void);
 
 
-/*******************************************************************************
- *
- * FUNCTION:    UtHexCharToValue
- *
- * PARAMETERS:  HexChar         - Hex character in Ascii
- *
- * RETURN:      The binary value of the hex character
- *
- * DESCRIPTION: Perform ascii-to-hex translation
- *
- ******************************************************************************/
-
-static UINT8
-UtHexCharToValue (
-    int                     HexChar,
-    UINT8                   *OutBinary)
-{
-
-    if (HexChar >= 0x30 && HexChar <= 0x39)
-    {
-        *OutBinary = (UINT8) (HexChar - 0x30);
-        return (1);
-    }
-
-    else if (HexChar >= 0x41 && HexChar <= 0x46)
-    {
-        *OutBinary = (UINT8) (HexChar - 0x37);
-        return (1);
-    }
-
-    else if (HexChar >= 0x61 && HexChar <= 0x66)
-    {
-        *OutBinary = (UINT8) (HexChar - 0x57);
-        return (1);
-    }
-    return (0);
-}
-
-static UINT8
-AbHexByteToBinary (
-    char                    *HexString,
-    char                    *OutBinary)
-{
-    UINT8                   Local1;
-    UINT8                   Local2;
-
-
-    if (!UtHexCharToValue (HexString[0], &Local1))
-    {
-        return (0);
-    }
-    if (!UtHexCharToValue (HexString[1], &Local2))
-    {
-        return (0);
-    }
-
-    *OutBinary = (UINT8) ((Local1 << 4) | Local2);
-    return (2);
-
-}
-
-
 /******************************************************************************
  *
  * FUNCTION:    AbValidateHeader
@@ -190,23 +123,24 @@ AcpiTbSumTable (
     void                    *Buffer,
     UINT32                  Length)
 {
-    const UINT8             *limit;
-    const UINT8             *rover;
-    UINT8                   sum = 0;
+    const UINT8             *Limit;
+    const UINT8             *Rover;
+    UINT8                   Sum = 0;
 
 
     if (Buffer && Length)
     {
         /* Buffer and Length are valid */
 
-        limit = (UINT8 *) Buffer + Length;
+        Limit = (UINT8 *) Buffer + Length;
 
-        for (rover = Buffer; rover < limit; rover++)
+        for (Rover = Buffer; Rover < Limit; Rover++)
         {
-            sum = (UINT8) (sum + *rover);
+            Sum = (UINT8) (Sum + *Rover);
         }
     }
-    return (sum);
+
+    return (Sum);
 }
 
 
@@ -233,10 +167,10 @@ AbPrintHeaderInfo (
     printf ("Length            : %8.8X\n",    Header->Length);
     printf ("Revision          : %2.2X\n",    Header->Revision);
     printf ("Checksum          : %2.2X\n",    Header->Checksum);
-    printf ("OEM ID            : %6.6s\n",    Header->OemId);
-    printf ("OEM Table ID      : %8.8s\n",    Header->OemTableId);
+    printf ("OEM ID            : %.6s\n",     Header->OemId);
+    printf ("OEM Table ID      : %.8s\n",     Header->OemTableId);
     printf ("OEM Revision      : %8.8X\n",    Header->OemRevision);
-    printf ("ASL Compiler ID   : %4.4s\n",    Header->AslCompilerId);
+    printf ("ASL Compiler ID   : %.4s\n",     Header->AslCompilerId);
     printf ("Compiler Revision : %8.8X\n",    Header->AslCompilerRevision);
     printf ("\n");
 }
@@ -253,10 +187,10 @@ AbPrintHeadersInfo (
     printf ("Length             %8.8X : %8.8X\n",    Header->Length, Header2->Length);
     printf ("Revision           %8.2X : %2.2X\n",    Header->Revision, Header2->Revision);
     printf ("Checksum           %8.2X : %2.2X\n",    Header->Checksum, Header2->Checksum);
-    printf ("OEM ID             %8.6s : %6.6s\n",    Header->OemId, Header2->OemId);
-    printf ("OEM Table ID       %8.8s : %8.8s\n",    Header->OemTableId, Header2->OemTableId);
+    printf ("OEM ID             %8.6s : %.6s\n",     Header->OemId, Header2->OemId);
+    printf ("OEM Table ID       %8.8s : %.8s\n",     Header->OemTableId, Header2->OemTableId);
     printf ("OEM Revision       %8.8X : %8.8X\n",    Header->OemRevision, Header2->OemRevision);
-    printf ("ASL Compiler ID    %8.4s : %4.4s\n",    Header->AslCompilerId, Header2->AslCompilerId);
+    printf ("ASL Compiler ID    %8.4s : %.4s\n",     Header->AslCompilerId, Header2->AslCompilerId);
     printf ("Compiler Revision  %8.8X : %8.8X\n",    Header->AslCompilerRevision, Header2->AslCompilerRevision);
     printf ("\n");
 }
@@ -272,22 +206,25 @@ AbPrintHeadersInfo (
 
 void
 AbDisplayHeader (
-    char                    *File1Path)
+    char                    *FilePath)
 {
     UINT32                  Actual;
+    FILE                    *File;
 
 
-    File1 = fopen (File1Path, "rb");
-    if (!File1)
+    File = fopen (FilePath, "rb");
+    if (!File)
     {
-        printf ("Could not open file %s\n", File1Path);
+        printf ("Could not open file %s\n", FilePath);
         return;
     }
 
-    Actual = fread (&Header1, 1, sizeof (ACPI_TABLE_HEADER), File1);
+    Actual = fread (&Header1, 1, sizeof (ACPI_TABLE_HEADER), File);
+    fclose (File);
+
     if (Actual != sizeof (ACPI_TABLE_HEADER))
     {
-        printf ("File %s does not contain an ACPI table header\n", File1Path);
+        printf ("File %s does not contain a valid ACPI table header\n", FilePath);
         return;
     }
 
@@ -310,30 +247,31 @@ AbDisplayHeader (
 
 void
 AbComputeChecksum (
-    char                    *File1Path)
+    char                    *FilePath)
 {
     UINT32                  Actual;
     ACPI_TABLE_HEADER       *Table;
     UINT8                   Checksum;
+    FILE                    *File;
 
 
-    File1 = fopen (File1Path, "rb");
-    if (!File1)
+    File = fopen (FilePath, "rb");
+    if (!File)
     {
-        printf ("Could not open file %s\n", File1Path);
+        printf ("Could not open file %s\n", FilePath);
         return;
     }
 
-    Actual = fread (&Header1, 1, sizeof (ACPI_TABLE_HEADER), File1);
+    Actual = fread (&Header1, 1, sizeof (ACPI_TABLE_HEADER), File);
     if (Actual < sizeof (ACPI_TABLE_HEADER))
     {
-        printf ("File %s does not contain an ACPI table header\n", File1Path);
-        return;
+        printf ("File %s does not contain a valid ACPI table header\n", FilePath);
+        goto Exit1;
     }
 
     if (!AbValidateHeader (&Header1))
     {
-        return;
+        goto Exit1;
     }
 
     if (!Gbl_TerseMode)
@@ -346,18 +284,18 @@ AbComputeChecksum (
     Table = AcpiOsAllocate (Header1.Length);
     if (!Table)
     {
-        printf ("could not allocate\n");
-        return;
+        printf ("Could not allocate buffer for table\n");
+        goto Exit1;
     }
 
     /* Read the entire table, including header */
 
-    fseek (File1, 0, SEEK_SET);
-    Actual = fread (Table, 1, Header1.Length, File1);
+    fseek (File, 0, SEEK_SET);
+    Actual = fread (Table, 1, Header1.Length, File);
     if (Actual != Header1.Length)
     {
-        printf ("could not read table, length %u\n", Header1.Length);
-        return;
+        printf ("Could not read table, length %u\n", Header1.Length);
+        goto Exit2;
     }
 
     /* Compute the checksum for the table */
@@ -369,32 +307,41 @@ AbComputeChecksum (
 
     if (Header1.Checksum == Checksum)
     {
-        printf ("Checksum ok in AML file, not updating\n");
-        return;
+        printf ("Checksum OK in AML file, not updating\n");
+        goto Exit2;
     }
 
     /* Open the target file for writing, to update checksum */
 
-    fclose (File1);
-    File1 = fopen (File1Path, "r+b");
-    if (!File1)
+    fclose (File);
+    File = fopen (FilePath, "r+b");
+    if (!File)
     {
-        printf ("Could not open file %s for writing\n", File1Path);
-        return;
+        printf ("Could not open file %s for writing\n", FilePath);
+        goto Exit2;
     }
 
     /* Set the checksum, write the new header */
 
     Header1.Checksum = Checksum;
 
-    Actual = fwrite (&Header1, 1, sizeof (ACPI_TABLE_HEADER), File1);
+    Actual = fwrite (&Header1, 1, sizeof (ACPI_TABLE_HEADER), File);
     if (Actual != sizeof (ACPI_TABLE_HEADER))
     {
         printf ("Could not write updated table header\n");
-        return;
+        goto Exit2;
     }
 
     printf ("Wrote new checksum\n");
+
+Exit2:
+    AcpiOsFree (Table);
+
+Exit1:
+    if (File)
+    {
+        fclose (File);
+    }
     return;
 }
 
@@ -419,6 +366,9 @@ AbCompareAmlFiles (
     UINT8                   Char2;
     UINT8                   Mismatches = 0;
     BOOLEAN                 HeaderMismatch = FALSE;
+    FILE                    *File1;
+    FILE                    *File2;
+    int                     Status = -1;
 
 
     File1 = fopen (File1Path, "rb");
@@ -432,7 +382,7 @@ AbCompareAmlFiles (
     if (!File2)
     {
         printf ("Could not open file %s\n", File2Path);
-        return (-1);
+        goto Exit1;
     }
 
     /* Read the ACPI header from each file */
@@ -441,20 +391,20 @@ AbCompareAmlFiles (
     if (Actual1 != sizeof (ACPI_TABLE_HEADER))
     {
         printf ("File %s does not contain an ACPI table header\n", File1Path);
-        return (-1);
+        goto Exit2;
     }
 
     Actual2 = fread (&Header2, 1, sizeof (ACPI_TABLE_HEADER), File2);
     if (Actual2 != sizeof (ACPI_TABLE_HEADER))
     {
         printf ("File %s does not contain an ACPI table header\n", File2Path);
-        return (-1);
+        goto Exit2;
     }
 
     if ((!AbValidateHeader (&Header1)) ||
         (!AbValidateHeader (&Header2)))
     {
-        return (-1);
+        goto Exit2;
     }
 
     /* Table signatures must match */
@@ -462,7 +412,7 @@ AbCompareAmlFiles (
     if (*((UINT32 *) Header1.Signature) != *((UINT32 *) Header2.Signature))
     {
         printf ("Table signatures do not match\n");
-        return (-1);
+        goto Exit2;
     }
 
     if (!Gbl_TerseMode)
@@ -494,7 +444,7 @@ AbCompareAmlFiles (
             if (Mismatches > 100)
             {
                 printf ("100 Mismatches: Too many mismatches\n");
-                return (-1);
+                goto Exit2;
             }
         }
 
@@ -526,43 +476,14 @@ AbCompareAmlFiles (
     }
 
     printf ("%u Mismatches found\n", Mismatches);
-    return (0);
-}
-
-
-/******************************************************************************
- *
- * FUNCTION:    AbGetFileSize
- *
- * DESCRIPTION: Get the size of an open file
- *
- ******************************************************************************/
+    Status = 0;
 
-static UINT32
-AbGetFileSize (
-    FILE                    *File)
-{
-    UINT32                  FileSize;
-    long                    Offset;
-
-
-    Offset = ftell (File);
+Exit2:
+    fclose (File2);
 
-    if (fseek (File, 0, SEEK_END))
-    {
-        return (0);
-    }
-
-    FileSize = (UINT32) ftell (File);
-
-    /* Restore file pointer */
-
-    if (fseek (File, Offset, SEEK_SET))
-    {
-        return (0);
-    }
-
-    return (FileSize);
+Exit1:
+    fclose (File1);
+    return (Status);
 }
 
 
@@ -596,8 +517,8 @@ AbGetFile (
 
     /* Need file size to allocate a buffer */
 
-    Size = AbGetFileSize (File);
-    if (!Size)
+    Size = CmGetFileSize (File);
+    if (Size == ACPI_UINT32_MAX)
     {
         printf ("Could not get file size (seek) for %s\n", Filename);
         goto ErrorExit;
@@ -647,6 +568,7 @@ AbDumpAmlFile (
     char                    *FileBuffer;
     FILE                    *FileOutHandle;
     UINT32                  FileSize = 0;
+    int                     Status = -1;
 
 
     /* Get the entire AML file, validate header */
@@ -664,12 +586,12 @@ AbDumpAmlFile (
     if (!FileOutHandle)
     {
         printf ("Could not open file %s\n", File2Path);
-        return (-1);
+        goto Exit1;
     }
 
     if (!AbValidateHeader ((ACPI_TABLE_HEADER *) FileBuffer))
     {
-        return (-1);
+        goto Exit2;
     }
 
     /* Convert binary AML to text, using common dump buffer routine */
@@ -684,133 +606,18 @@ AbDumpAmlFile (
 
     /* Summary for the output file */
 
-    FileSize = AbGetFileSize (FileOutHandle);
+    FileSize = CmGetFileSize (FileOutHandle);
     printf ("Output file: %s contains %u (0x%X) bytes\n\n",
         File2Path, FileSize, FileSize);
 
-    return (0);
-}
-
+    Status = 0;
 
-/******************************************************************************
- *
- * FUNCTION:    AbExtractAmlFile
- *
- * DESCRIPTION: Extract a binary AML file from a text file (as produced by the
- *              DumpAmlFile procedure or the "acpidump" table utility.
- *
- ******************************************************************************/
-
-int
-AbExtractAmlFile (
-    char                    *TableSig,
-    char                    *File1Path,
-    char                    *File2Path)
-{
-    char                    *Table;
-    char                    Value;
-    UINT32                  i;
-    FILE                    *FileHandle;
-    FILE                    *FileOutHandle;
-    UINT32                  Count = 0;
-    int                     Scanned;
-
-
-    /* Open in/out files. input is in text mode, output is in binary mode */
-
-    FileHandle = fopen (File1Path, "rt");
-    if (!FileHandle)
-    {
-        printf ("Could not open file %s\n", File1Path);
-        return (-1);
-    }
-
-    FileOutHandle = fopen (File2Path, "w+b");
-    if (!FileOutHandle)
-    {
-        printf ("Could not open file %s\n", File2Path);
-        return (-1);
-    }
-
-    /* Force input table sig to uppercase */
-
-    AcpiUtStrupr (TableSig);
-
-
-    /* TBD: examine input for ASCII */
-
-
-    /* We have an ascii file, grab one line at a time */
-
-    while (fgets (Buffer, BUFFER_SIZE, FileHandle))
-    {
-        /* The 4-char ACPI signature appears at the beginning of a line */
-
-        if (ACPI_COMPARE_NAME (Buffer, TableSig))
-        {
-            printf ("Found table [%4.4s]\n", TableSig);
-
-            /*
-             * Eat all lines in the table, of the form:
-             *   <offset>: <16 bytes of hex data, separated by spaces> <ASCII representation> <newline>
-             *
-             * Example:
-             *
-             *   02C0: 5F 53 42 5F 4C 4E 4B 44 00 12 13 04 0C FF FF 08  _SB_LNKD........
-             *
-             */
-            while (fgets (Buffer, BUFFER_SIZE, FileHandle))
-            {
-                /* Get past the offset, terminated by a colon */
-
-                Table = strchr (Buffer, ':');
-                if (!Table)
-                {
-                    /* No colon, all done */
-                    goto Exit;
-                }
-
-                Table += 2; /* Eat the colon + space */
-
-                for (i = 0; i < 16; i++)
-                {
-                    Scanned = AbHexByteToBinary (Table, &Value);
-                    if (!Scanned)
-                    {
-                        goto Exit;
-                    }
-
-                    Table += 3; /* Go past this hex byte and space */
-
-                    /* Write the converted (binary) byte */
-
-                    if (fwrite (&Value, 1, 1, FileOutHandle) != 1)
-                    {
-                        printf ("Error writing byte %u to output file: %s\n",
-                            Count, File2Path);
-                        goto Exit;
-                    }
-                    Count++;
-                }
-            }
-
-            /* No more lines, EOF, all done */
-
-            goto Exit;
-        }
-    }
-
-    /* Searched entire file, no match to table signature */
-
-    printf ("Could not match table signature\n");
-    fclose (FileHandle);
-    return (-1);
-
-Exit:
-    printf ("%u (0x%X) bytes written to %s\n", Count, Count, File2Path);
-    fclose (FileHandle);
+Exit2:
     fclose (FileOutHandle);
-    return (0);
+
+Exit1:
+    free (FileBuffer);
+    return (Status);
 }
 
 
diff --git a/sys/contrib/dev/acpica/source/tools/acpibin/abmain.c b/sys/contrib/dev/acpica/source/tools/acpibin/abmain.c
index 6eb6eb1..d8c740c 100644
--- a/sys/contrib/dev/acpica/source/tools/acpibin/abmain.c
+++ b/sys/contrib/dev/acpica/source/tools/acpibin/abmain.c
@@ -54,7 +54,7 @@ AbDisplayUsage (
 
 
 #define AB_UTILITY_NAME             "ACPI Binary Table Dump Utility"
-#define AB_SUPPORTED_OPTIONS        "c:d:e:h:s:tv"
+#define AB_SUPPORTED_OPTIONS        "c:d:h:s:tv"
 
 
 /******************************************************************************
@@ -79,7 +79,6 @@ AbDisplayUsage (
 
     ACPI_OPTION ("-c <File1><File2>",       "Compare two binary AML files");
     ACPI_OPTION ("-d <In><Out>",            "Dump AML binary to text file");
-    ACPI_OPTION ("-e <Sig><In><Out>",       "Extract binary AML table from AcpiDump file");
     ACPI_OPTION ("-h <File>",               "Display table header for binary AML file");
     ACPI_OPTION ("-s <File>",               "Update checksum for binary AML file");
     ACPI_OPTION ("-t",                      "Terse mode");
@@ -144,18 +143,6 @@ main (
         Status = AbDumpAmlFile (AcpiGbl_Optarg, argv[AcpiGbl_Optind]);
         break;
 
-    case 'e':   /* Extract AML text file */
-
-        if (argc < 5)
-        {
-            AbDisplayUsage (3);
-            return (-1);
-        }
-
-        Status = AbExtractAmlFile (AcpiGbl_Optarg, argv[AcpiGbl_Optind],
-                    argv[AcpiGbl_Optind+1]);
-        break;
-
     case 'h':   /* Display ACPI table header */
 
         if (argc < 3)
diff --git a/sys/contrib/dev/acpica/source/tools/acpibin/acpibin.h b/sys/contrib/dev/acpica/source/tools/acpibin/acpibin.h
index 515f155..7f93d43 100644
--- a/sys/contrib/dev/acpica/source/tools/acpibin/acpibin.h
+++ b/sys/contrib/dev/acpica/source/tools/acpibin/acpibin.h
@@ -76,12 +76,6 @@ AbCompareAmlFiles (
     char                    *File2Path);
 
 int
-AbExtractAmlFile (
-    char                    *TableSig,
-    char                    *File1Path,
-    char                    *File2Path);
-
-int
 AbDumpAmlFile (
     char                    *File1Path,
     char                    *File2Path);
diff --git a/sys/contrib/dev/acpica/source/tools/acpidump/acpidump.h b/sys/contrib/dev/acpica/source/tools/acpidump/acpidump.h
index e3b705bd..4b0f01c 100644
--- a/sys/contrib/dev/acpica/source/tools/acpidump/acpidump.h
+++ b/sys/contrib/dev/acpica/source/tools/acpidump/acpidump.h
@@ -142,10 +142,6 @@ ApGetTableLength (
 /*
  * apfiles - File I/O utilities
  */
-UINT32
-ApGetFileSize (
-    FILE                    *File);
-
 int
 ApOpenOutputFile (
     char                    *Pathname);
diff --git a/sys/contrib/dev/acpica/source/tools/acpidump/apdump.c b/sys/contrib/dev/acpica/source/tools/acpidump/apdump.c
index d11919b..0bd0294 100644
--- a/sys/contrib/dev/acpica/source/tools/acpidump/apdump.c
+++ b/sys/contrib/dev/acpica/source/tools/acpidump/apdump.c
@@ -69,6 +69,7 @@ BOOLEAN
 ApIsValidHeader (
     ACPI_TABLE_HEADER       *Table)
 {
+
     if (!ACPI_VALIDATE_RSDP_SIG (Table->Signature))
     {
         /* Make sure signature is all ASCII and a valid ACPI name */
@@ -100,9 +101,9 @@ ApIsValidHeader (
  *
  * PARAMETERS:  Table               - Pointer to table to be validated
  *
- * RETURN:      TRUE if the checksum appears to be valid. FALSE otherwise
+ * RETURN:      TRUE if the checksum appears to be valid. FALSE otherwise.
  *
- * DESCRIPTION: Check for a valid ACPI table checksum
+ * DESCRIPTION: Check for a valid ACPI table checksum.
  *
  ******************************************************************************/
 
@@ -120,7 +121,6 @@ ApIsValidChecksum (
          * Checksum for RSDP.
          * Note: Other checksums are computed during the table dump.
          */
-
         Rsdp = ACPI_CAST_PTR (ACPI_TABLE_RSDP, Table);
         Status = AcpiTbValidateRsdp (Rsdp);
     }
@@ -131,7 +131,7 @@ ApIsValidChecksum (
 
     if (ACPI_FAILURE (Status))
     {
-        fprintf (stderr, "%4.4s: Warning: wrong checksum\n",
+        fprintf (stderr, "%4.4s: Warning: wrong checksum in table\n",
             Table->Signature);
     }
 
@@ -147,7 +147,7 @@ ApIsValidChecksum (
  *
  * RETURN:      Table length
  *
- * DESCRIPTION: Obtain table length according to table signature
+ * DESCRIPTION: Obtain table length according to table signature.
  *
  ******************************************************************************/
 
@@ -170,10 +170,10 @@ ApGetTableLength (
         Rsdp = ACPI_CAST_PTR (ACPI_TABLE_RSDP, Table);
         return (Rsdp->Length);
     }
-    else
-    {
-        return (Table->Length);
-    }
+
+    /* Normal ACPI table */
+
+    return (Table->Length);
 }
 
 
@@ -219,7 +219,7 @@ ApDumpTableBuffer (
     }
 
     /*
-     * Dump the table with header for use with acpixtract utility
+     * Dump the table with header for use with acpixtract utility.
      * Note: simplest to just always emit a 64-bit address. AcpiXtract
      * utility can handle this.
      */
@@ -254,6 +254,7 @@ ApDumpAllTables (
     UINT32                  Instance = 0;
     ACPI_PHYSICAL_ADDRESS   Address;
     ACPI_STATUS             Status;
+    int                     TableStatus;
     UINT32                  i;
 
 
@@ -284,11 +285,13 @@ ApDumpAllTables (
             }
         }
 
-        if (ApDumpTableBuffer (Table, Instance, Address))
+        TableStatus = ApDumpTableBuffer (Table, Instance, Address);
+        free (Table);
+
+        if (TableStatus)
         {
-            return (-1);
+            break;
         }
-        free (Table);
     }
 
     /* Something seriously bad happened if the loop terminates here */
@@ -368,6 +371,7 @@ ApDumpTableByName (
     ACPI_TABLE_HEADER       *Table;
     ACPI_PHYSICAL_ADDRESS   Address;
     ACPI_STATUS             Status;
+    int                     TableStatus;
 
 
     if (strlen (Signature) != ACPI_NAME_SIZE)
@@ -415,11 +419,13 @@ ApDumpTableByName (
             return (-1);
         }
 
-        if (ApDumpTableBuffer (Table, Instance, Address))
+        TableStatus = ApDumpTableBuffer (Table, Instance, Address);
+        free (Table);
+
+        if (TableStatus)
         {
-            return (-1);
+            break;
         }
-        free (Table);
     }
 
     /* Something seriously bad happened if the loop terminates here */
@@ -446,7 +452,7 @@ ApDumpTableFromFile (
 {
     ACPI_TABLE_HEADER       *Table;
     UINT32                  FileSize = 0;
-    int                     TableStatus;
+    int                     TableStatus = -1;
 
 
     /* Get the entire ACPI table from the file */
@@ -464,7 +470,7 @@ ApDumpTableFromFile (
         fprintf (stderr,
             "Table length (0x%X) is too large for input file (0x%X) %s\n",
             Table->Length, FileSize, Pathname);
-        return (-1);
+        goto Exit;
     }
 
     if (Gbl_VerboseMode)
@@ -475,6 +481,8 @@ ApDumpTableFromFile (
     }
 
     TableStatus = ApDumpTableBuffer (Table, 0, 0);
+
+Exit:
     free (Table);
     return (TableStatus);
 }
diff --git a/sys/contrib/dev/acpica/source/tools/acpidump/apfiles.c b/sys/contrib/dev/acpica/source/tools/acpidump/apfiles.c
index e719f54..1588f2e 100644
--- a/sys/contrib/dev/acpica/source/tools/acpidump/apfiles.c
+++ b/sys/contrib/dev/acpica/source/tools/acpidump/apfiles.c
@@ -215,8 +215,8 @@ ApGetTableFromFile (
 
     /* Need file size to allocate a buffer */
 
-    FileSize = ApGetFileSize (File);
-    if (!FileSize)
+    FileSize = CmGetFileSize (File);
+    if (FileSize == ACPI_UINT32_MAX)
     {
         fprintf (stderr,
             "Could not get input file size: %s\n", Pathname);
@@ -251,41 +251,3 @@ Cleanup:
     fclose (File);
     return (Buffer);
 }
-
-
-/******************************************************************************
- *
- * FUNCTION:    ApGetFileSize
- *
- * PARAMETERS:  File                - Open file descriptor
- *
- * RETURN:      File size in bytes
- *
- * DESCRIPTION: Get the size of an open file
- *
- ******************************************************************************/
-
-UINT32
-ApGetFileSize (
-    FILE                    *File)
-{
-    UINT32                  FileSize;
-    long                    Offset;
-
-
-    Offset = ftell (File);
-    if (fseek (File, 0, SEEK_END))
-    {
-        return (0);
-    }
-
-    /* Get size and restore file pointer */
-
-    FileSize = (UINT32) ftell (File);
-    if (fseek (File, Offset, SEEK_SET))
-    {
-        return (0);
-    }
-
-    return (FileSize);
-}
diff --git a/sys/contrib/dev/acpica/source/tools/acpidump/apmain.c b/sys/contrib/dev/acpica/source/tools/acpidump/apmain.c
index 38c6d92..a16f583 100644
--- a/sys/contrib/dev/acpica/source/tools/acpidump/apmain.c
+++ b/sys/contrib/dev/acpica/source/tools/acpidump/apmain.c
@@ -358,7 +358,7 @@ main (
         {
             /* Summary for the output file */
 
-            FileSize = ApGetFileSize (Gbl_OutputFile);
+            FileSize = CmGetFileSize (Gbl_OutputFile);
             fprintf (stderr, "Output file %s contains 0x%X (%u) bytes\n\n",
                 Gbl_OutputFilename, FileSize, FileSize);
         }
diff --git a/sys/contrib/dev/acpica/source/tools/acpiexec/aecommon.h b/sys/contrib/dev/acpica/source/tools/acpiexec/aecommon.h
index 5f65795..c27338d 100644
--- a/sys/contrib/dev/acpica/source/tools/acpiexec/aecommon.h
+++ b/sys/contrib/dev/acpica/source/tools/acpiexec/aecommon.h
@@ -63,8 +63,6 @@
 #include <string.h>
 #include <signal.h>
 
-#pragma pack(push) /* Set default struct packing */
-
 extern BOOLEAN              AcpiGbl_IgnoreErrors;
 extern UINT8                AcpiGbl_RegionFillValue;
 extern UINT8                AcpiGbl_UseHwReducedFadt;
@@ -198,7 +196,4 @@ AeGlobalEventHandler (
     UINT32                  EventNumber,
     void                    *Context);
 
-
-#pragma pack(pop) /* Restore original struct packing */
-
 #endif /* _AECOMMON */
diff --git a/sys/contrib/dev/acpica/source/tools/acpiexec/aehandlers.c b/sys/contrib/dev/acpica/source/tools/acpiexec/aehandlers.c
index faffdd9..ee2d2cf 100644
--- a/sys/contrib/dev/acpica/source/tools/acpiexec/aehandlers.c
+++ b/sys/contrib/dev/acpica/source/tools/acpiexec/aehandlers.c
@@ -312,7 +312,7 @@ AeCommonNotifyHandler (
 
         printf ("[AcpiExec] Handler %u: Received a %s Notify on [%4.4s] %p Value 0x%2.2X (%s)\n",
             HandlerId, Type, AcpiUtGetNodeName (Device), Device, Value,
-            AcpiUtGetNotifyName (Value));
+            AcpiUtGetNotifyName (Value, ACPI_TYPE_ANY));
         if (AcpiGbl_DebugFile)
         {
             AcpiOsPrintf ("[AcpiExec] Handler %u: Received a %s notify, Value 0x%2.2X\n",
@@ -348,7 +348,7 @@ AeSystemNotifyHandler (
 
     printf ("[AcpiExec] Global:    Received a System Notify on [%4.4s] %p Value 0x%2.2X (%s)\n",
         AcpiUtGetNodeName (Device), Device, Value,
-        AcpiUtGetNotifyName (Value));
+        AcpiUtGetNotifyName (Value, ACPI_TYPE_ANY));
     if (AcpiGbl_DebugFile)
     {
         AcpiOsPrintf ("[AcpiExec] Global:    Received a System Notify, Value 0x%2.2X\n", Value);
@@ -381,7 +381,7 @@ AeDeviceNotifyHandler (
 
     printf ("[AcpiExec] Global:    Received a Device Notify on [%4.4s] %p Value 0x%2.2X (%s)\n",
         AcpiUtGetNodeName (Device), Device, Value,
-        AcpiUtGetNotifyName (Value));
+        AcpiUtGetNotifyName (Value, ACPI_TYPE_ANY));
     if (AcpiGbl_DebugFile)
     {
         AcpiOsPrintf ("[AcpiExec] Global:    Received a Device Notify, Value 0x%2.2X\n", Value);
diff --git a/sys/contrib/dev/acpica/source/tools/acpihelp/acpihelp.h b/sys/contrib/dev/acpica/source/tools/acpihelp/acpihelp.h
index fba2754..da15e4e 100644
--- a/sys/contrib/dev/acpica/source/tools/acpihelp/acpihelp.h
+++ b/sys/contrib/dev/acpica/source/tools/acpihelp/acpihelp.h
@@ -70,6 +70,7 @@
 #define     AH_DECODE_AML_OPCODE        5
 #define     AH_DISPLAY_DEVICE_IDS       6
 #define     AH_DECODE_EXCEPTION         7
+#define     AH_DECODE_ASL_AML           8
 
 #define     AH_MAX_ASL_LINE_LENGTH      70
 #define     AH_MAX_AML_LINE_LENGTH      100
@@ -104,13 +105,6 @@ typedef struct ah_asl_keyword
 
 } AH_ASL_KEYWORD;
 
-typedef struct ah_device_id
-{
-    char            *Name;
-    char            *Description;
-
-} AH_DEVICE_ID;
-
 
 extern const AH_AML_OPCODE          AmlOpcodeInfo[];
 extern const AH_ASL_OPERATOR        AslOperatorInfo[];
@@ -138,6 +132,10 @@ AhFindPredefinedNames (
     char                    *Name);
 
 void
+AhFindAslAndAmlOperators (
+    char                    *Name);
+
+UINT32
 AhFindAslOperators (
     char                    *Name);
 
@@ -147,6 +145,6 @@ AhFindAslKeywords (
 
 void
 AhDisplayDeviceIds (
-    void);
+    char                    *Name);
 
 #endif /* __ACPIHELP_H */
diff --git a/sys/contrib/dev/acpica/source/tools/acpihelp/ahamlops.c b/sys/contrib/dev/acpica/source/tools/acpihelp/ahamlops.c
index faa4c19..9ac1351 100644
--- a/sys/contrib/dev/acpica/source/tools/acpihelp/ahamlops.c
+++ b/sys/contrib/dev/acpica/source/tools/acpihelp/ahamlops.c
@@ -141,7 +141,7 @@ const AH_AML_OPCODE         AmlOpcodeInfo[] =
                                                                 "DefFatal := FatalOp FatalType FatalCode FatalArg"},
     {0x5B33, 0x5B33, "0x5B33",          "TimerOp",              "TermObject",   NULL,                                           NULL,
                                                                 "DefTimer := TimerOp"},
-    {0x5B80, 0x5B80, "0x5B80",          "OpRegionOp",           "TermObject",   "NameString ByteData TermArg TermArg",          NULL,
+    {0x5B80, 0x5B80, "0x5B80",          "OperationRegionOp",    "TermObject",   "NameString ByteData TermArg TermArg",          NULL,
                                                                 "DefOpRegion := OpRegionOp NameString RegionSpace RegionOffset RegionLen"},
     {0x5B81, 0x5B81, "0x5B81",          "FieldOp",              "TermObject",   "NameString ByteData",                          "FieldList",
                                                                 "DefField := FieldOp PkgLength NameString FieldFlags FieldList"},
